Get description of the last error

- « intl_get_error_code

- intl_is_failure »

- PHP Manual
- intl Functions
- Get description of the last error

# intl_get_error_message

(PHP 5 >= 5.3.0, PHP 7, PHP 8, PECL intl >= 1.0.0)

intl_get_error_message — Get description of the last error

### Description

intl_get_error_message(): string

Get error message from last internationalization function called.

### Parameters

This function has no parameters.

### Return Values

Description of an error occurred in the last API function call.

### Examples

Example #1 intl_get_error_message() example

    <?php
    if( Collator::getAvailableLocales() === false ) {
        show_error( intl_get_error_message() );
    }
    ?>

### See Also

- intl_error_name() - Get symbolic name for a given error code
- intl_get_error_code() - Get the last error code
- intl_is_failure() - Check whether the given error code indicates failure
- collator_get_error_message() - Get text for collator's last error code
- numfmt_get_error_message() - Get formatter's last error message